Author Topic: Can not install the development...  (Read 1023 times)

jackluli

  • Making baby steps
  • Posts: 3
    • View Profile
Can not install the development...
« on: March 05, 2009, 06:54:14 am »
I can not install the development software at debian, download after the implementation will make mistakes, what is this problem?

Emiku

  • Regular Poster
  • **
  • Posts: 28
    • View Profile
Re: Can not install the development...
« Reply #1 on: March 05, 2009, 07:46:05 am »
Hi,

Maybe if you gave us these error we might be able to help you.

- Emil

niz23

  • Guru
  • ****
  • Posts: 361
    • View Profile
Re: Can not install the development...
« Reply #2 on: March 05, 2009, 08:11:08 am »
I can not install the development software at debian, download after the implementation will make mistakes, what is this problem?

What are you trying to do?
Your problem description is does not reveal anything.

Are you trying to build a lmce devel system on top of debian?, why not use kubuntu 8.10 as base which is what we use.
Debian may work but that is not the system be build upon.

Only my 2 cents.

/niz23

jackluli

  • Making baby steps
  • Posts: 3
    • View Profile
Re: Can not install the development...
« Reply #3 on: March 12, 2009, 09:22:38 am »
The MCE source code can be implemented only under ubuntu/kbuntu?.
Can not implement to debian?.


Thank you.

jackluli

  • Making baby steps
  • Posts: 3
    • View Profile
Re: Can not install the development...
« Reply #4 on: March 12, 2009, 09:25:31 am »
I try make command to debian.

but error....

Code: newbielink:javascript:void(0); [nonactive]
iei10:~/trunk# make
I need to run sudo...
"src/Ubuntu_Helpers/"/RunFunction.sh /root/trunk SUDO_Install_Build_Needed_Packages_SUDO
/root/trunk/src/BootScripts/Utils.sh.prep: line 8: /usr/pluto/bin/SQL_Ops.sh: No such file or directory
/root/trunk/src/BootScripts/Utils.sh.prep: line 9: /usr/pluto/bin/Config_Ops.sh: No such file or directory
OK
Retrieving updated package lists
Installing general development packages
./root/trunk/src/Ubuntu_Helpers/BuildUbuntu_Functions_SelfHost.sh: line 431: []: command not found
Error installing asterisk-dev
./root/trunk/src/Ubuntu_Helpers/BuildUbuntu_Functions_SelfHost.sh: line 431: []: command not found
Error installing autoconf
./root/trunk/src/Ubuntu_Helpers/BuildUbuntu_Functions_SelfHost.sh: line 431: []: command not found
Error installing automake
./root/trunk/src/Ubuntu_Helpers/BuildUbuntu_Functions_SelfHost.sh: line 431: []: command not found
Error installing automake1.10
./root/trunk/src/Ubuntu_Helpers/BuildUbuntu_Functions_SelfHost.sh: line 431: []: command not found
Error installing autotools-dev
./root/trunk/src/Ubuntu_Helpers/BuildUbuntu_Functions_SelfHost.sh: line 431: []: command not found
Error installing build-essential
./root/trunk/src/Ubuntu_Helpers/BuildUbuntu_Functions_SelfHost.sh: line 431: []: command not found
Error installing cdw
.^Cmake: *** [build/state_dev_packages_installed_1564] Interrupt

iei10:~/trunk#

posde

  • Administrator
  • LinuxMCE God
  • *****
  • Posts: 2846
  • Wastes Life On LinuxMCE Since 2007
    • View Profile
    • My Home
Re: Can not install the development...
« Reply #5 on: March 12, 2009, 10:15:22 am »
jackluli,

at the moment the development environment is working under Kubuntu 0810. Try to follow the installation for building lmce http://wiki.linuxmce.org/index.php/Building_LinuxMCE_0810.

For any other distribution/OS you are on your own - and in for a funky long ride, if you do take it up.


hari

  • Administrator
  • LinuxMCE God
  • *****
  • Posts: 2420
    • View Profile
    • ago control
Re: Can not install the development...
« Reply #6 on: March 12, 2009, 04:28:23 pm »
debian does not work out of the box. What are you trying to achieve exactly? Is there a reason why you want to compile from source?

best regards,
Hari
rock your home - http://www.agocontrol.com home automation